Page MenuHomePhabricator

Deploy WikimediaApiPortalOAuth extension to api.wikimedia.org
Closed, ResolvedPublic

Description

Deploy the WikimediaApiPortalOAuth extension to the API Portal production site

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2020, 11:33 PM
Pchelolo updated the task description. (Show Details)Sep 10 2020, 12:18 AM
apaskulin updated the task description. (Show Details)Nov 16 2020, 4:20 PM
apaskulin updated the task description. (Show Details)Nov 16 2020, 6:01 PM
Clarakosi updated the task description. (Show Details)Nov 30 2020, 2:48 PM
Clarakosi updated the task description. (Show Details)Nov 30 2020, 4:46 PM

Change 644302 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[integration/config@master] Sync WikimediaApiPortalOAuth template with rest of WMF production

https://gerrit.wikimedia.org/r/644302

Change 644305 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[operations/mediawiki-config@master] Enable WikimediaApiPortalOAuth on apiportalwiki

https://gerrit.wikimedia.org/r/644305

Change 644302 merged by jenkins-bot:
[integration/config@master] Sync WikimediaApiPortalOAuth template with rest of WMF production

https://gerrit.wikimedia.org/r/644302

Mentioned in SAL (#wikimedia-releng) [2020-11-30T19:11:13Z] <James_F> Zuul: [mediawiki/extensions/WikimediaApiPortalOAuth] Mark as in-prod and enable coverage reports T262495

Change 644547 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/extensions/OAuth@master] Move experimental endpoints to RestRoutes

https://gerrit.wikimedia.org/r/644547

Clarakosi updated the task description. (Show Details)Dec 1 2020, 4:07 PM

Change 644553 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[operations/mediawiki-config@master] Remove OAuth experimental routes from beta

https://gerrit.wikimedia.org/r/644553

Change 644547 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Move experimental endpoints to RestRoutes

https://gerrit.wikimedia.org/r/644547

Change 644305 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikimediaApiPortalOAuth on apiportalwiki

https://gerrit.wikimedia.org/r/644305

Clarakosi updated the task description. (Show Details)Dec 1 2020, 6:58 PM
Clarakosi updated the task description. (Show Details)Dec 8 2020, 9:42 PM
apaskulin updated the task description. (Show Details)Dec 10 2020, 4:45 PM

Change 644553 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove OAuth experimental routes from beta

https://gerrit.wikimedia.org/r/644553

Clarakosi updated the task description. (Show Details)Wed, Jan 6, 5:39 PM
Clarakosi closed this task as Resolved.Wed, Jan 6, 5:43 PM
Clarakosi claimed this task.
Clarakosi added a subscriber: Clarakosi.

Marking as resolved but please feel free to reopen if we missed anything

Thanks, Clara!